Acknowledge Shipment - Fabric
Acknowledge Shipment
cURL
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/shipment/acknowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipmentId": "78974156816152",
"attributes": {}
}
'```
### Python
```python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/shipment/acknowledge"
payload = {
"shipmentId": "78974156816152",
"attributes": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shipmentId: '78974156816152', attributes: {}})
};
fetch('https://prod01.oms.fabric.inc/api/v2/shipment/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/shipment/acknowledge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'shipmentId' => '78974156816152',
'attributes' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/shipment/acknowledge"
payload := strings.NewReader("{\n \"shipmentId\": \"78974156816152\",\n \"attributes\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.post("https://prod01.oms.fabric.inc/api/v2/shipment/acknowledge")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"shipmentId\": \"78974156816152\",\n \"attributes\": {}\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/shipment/acknowledge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"shipmentId\": \"78974156816152\",\n \"attributes\": {}\n}"
response = http.request(request)
puts response.read_body
Responses
- 200: Shipment details
- 400: Bad Request
- 404: Object Not Found
- 500: Internal Server Error
Authorization
- Type: string (required)
Bearer authentication header of the form Bearer <token>.
Body
- shipmentId: string (required)
- Example:
"78974156816152"
- Example:
- attributes: object (optional)
Response Details
- shipmentId: 24-character fabric-generated unique ID of shipment
- shipmentNum: Shipment number (external)
- Example:
"78974156816152"
- Example:
- invoiceId: fabric-generated Invoice ID
- Example:
"5674156816152"
- Example:
- other response fields...